import { HttpParams, HttpHeaders } from '@angular/common/http';
export declare class NgxHttpParams {
    [param: string]: string | number | boolean | ReadonlyArray<string | number | boolean>;
}
export declare class NgxHttpHeaders {
    [header: string]: string | string[];
}
export declare class HttpOptions {
    params?: HttpParams;
    headers?: HttpHeaders;
    context?: any;
    observe?: any;
    reportProgress?: boolean;
    responseType?: any;
    withCredentials?: boolean;
}
export declare class NgxHttpOptions {
    param?: NgxHttpParams;
    header?: NgxHttpHeaders;
    context?: any;
    observe?: any;
    reportProgress?: boolean;
    responseType?: any;
    withCredentials?: boolean;
}
